aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-02-21 01:47:09 +0100
committerGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-02-21 01:47:09 +0100
commitd8fb2af4915ebb1127ae23b25b9bc3e710c7d8fb (patch)
tree8289dcc9bbf0444a049444455ff13e69e3a62514 /tools
parent3f1e69668642c42372b2e54c502458dc8dbba1bf (diff)
parentf6b04156aa381d819ee9b47ebcbcac5b081c284c (diff)
Merge branch 'master' of github.com:google/grpc into httpcli_test
Conflicts: Makefile
Diffstat (limited to 'tools')
-rw-r--r--tools/README.md1
-rwxr-xr-xtools/buildgen/generate_projects.sh2
-rw-r--r--tools/distpackages/.gitignore1
-rwxr-xr-xtools/distpackages/build_deb_packages.sh109
-rw-r--r--tools/distpackages/templates/libgrpc-dev/DEBIAN/control10
-rw-r--r--tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/changelog.gzbin0 -> 136 bytes
-rw-r--r--tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/copyright34
-rw-r--r--tools/distpackages/templates/libgrpc/DEBIAN/control10
-rw-r--r--tools/distpackages/templates/libgrpc/DEBIAN/postinst7
-rw-r--r--tools/distpackages/templates/libgrpc/DEBIAN/postrm7
-rw-r--r--tools/distpackages/templates/libgrpc/DEBIAN/shlibs3
-rw-r--r--tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/changelog.gzbin0 -> 132 bytes
-rw-r--r--tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/copyright34
-rwxr-xr-xtools/distrib/check_copyright.py1
-rw-r--r--tools/dockerfile/grpc_python/Dockerfile13
-rwxr-xr-xtools/run_tests/run_python.sh1
-rw-r--r--tools/run_tests/tests.json2
17 files changed, 228 insertions, 7 deletions
diff --git a/tools/README.md b/tools/README.md
index 7cee610e35..1dbbad886f 100644
--- a/tools/README.md
+++ b/tools/README.md
@@ -1,4 +1,5 @@
buildgen: contains the template renderer for our build system.
+distpackages: contains script to generate debian packages.
dockerfile: contains all of the docker files to test gRPC.
gce_setup: contains boilerplate for running the docker files under GCE.
run_tests: contains python scripts to properly run the tests in parallel.
diff --git a/tools/buildgen/generate_projects.sh b/tools/buildgen/generate_projects.sh
index d37288a078..7a12440db2 100755
--- a/tools/buildgen/generate_projects.sh
+++ b/tools/buildgen/generate_projects.sh
@@ -40,6 +40,8 @@ cd `dirname $0`/../..
mako_renderer=tools/buildgen/mako_renderer.py
gen_build_json=test/core/end2end/gen_build_json.py
+tools/buildgen/build-cleaner.py build.json
+
end2end_test_build=`mktemp /tmp/genXXXXXX`
$gen_build_json > $end2end_test_build
diff --git a/tools/distpackages/.gitignore b/tools/distpackages/.gitignore
new file mode 100644
index 0000000000..7a7d3f3fa9
--- /dev/null
+++ b/tools/distpackages/.gitignore
@@ -0,0 +1 @@
+deb_out
diff --git a/tools/distpackages/build_deb_packages.sh b/tools/distpackages/build_deb_packages.sh
new file mode 100755
index 0000000000..f9cf802340
--- /dev/null
+++ b/tools/distpackages/build_deb_packages.sh
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Copyright 2015, Google Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of Google Inc. nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Where to put resulting .deb packages.
+deb_dest="deb_out"
+mkdir -p $deb_dest
+
+version='0.8.0.0'
+
+arch=`uname -p`
+if [ $arch != "x86_64" ]
+then
+ echo Unsupported architecture.
+ exit 1
+fi
+
+# Build debian packages
+for pkg_name in libgrpc libgrpc-dev
+do
+ echo
+ echo "Building package $pkg_name"
+ tmp_dir=`mktemp -d`
+ echo "Using tmp dir $tmp_dir to build the package"
+
+ cp -a templates/$pkg_name $tmp_dir
+
+ arch_lib_dir=$tmp_dir/$pkg_name/usr/lib/$arch-linux-gnu
+
+ if [ $pkg_name == "libgrpc" ]
+ then
+ # Copy shared libraries
+ (cd ../..; make install-shared_c prefix=$tmp_dir/$pkg_name/usr/lib)
+ mv $tmp_dir/$pkg_name/usr/lib/lib $arch_lib_dir
+
+ # non-dev package should contain so.0 symlinks
+ for symlink in $arch_lib_dir/*.so
+ do
+ mv $symlink $symlink.0
+ done
+ fi
+
+ if [ $pkg_name == "libgrpc-dev" ]
+ then
+ # Copy headers and static libraries
+ (cd ../..; make install-headers_c install-static_c prefix=$tmp_dir/$pkg_name/usr/lib)
+ mv $tmp_dir/$pkg_name/usr/lib/include $tmp_dir/$pkg_name/usr/include
+ mv $tmp_dir/$pkg_name/usr/lib/lib $arch_lib_dir
+
+ # create symlinks to shared libraries
+ for libname in $arch_lib_dir/*.a
+ do
+ base=`basename -s .a $libname`
+ ln -s $base.so.$version $arch_lib_dir/$base.so
+ done
+ fi
+
+ # Adjust mode for some files in the package
+ find $tmp_dir/$pkg_name -type d | xargs chmod 755
+ find $tmp_dir/$pkg_name -type f | xargs chmod 644
+ chmod 755 $tmp_dir/$pkg_name/DEBIAN/{postinst,postrm}
+
+ # Build the debian package
+ fakeroot dpkg-deb --build $tmp_dir/$pkg_name || { echo "dpkg-deb failed"; exit 1; }
+
+ deb_path=$deb_dest/${pkg_name}_amd64.deb
+
+ # Copy the .deb file to destination dir
+ cp $tmp_dir/$pkg_name.deb $deb_path
+
+ echo "Resulting package: $deb_path"
+ echo "Package info:"
+ dpkg-deb -I $deb_path
+ echo "Package contents:"
+ dpkg-deb -c $deb_path
+ echo "Problems reported by lintian:"
+ lintian $deb_path
+
+ echo
+done
+
+
diff --git a/tools/distpackages/templates/libgrpc-dev/DEBIAN/control b/tools/distpackages/templates/libgrpc-dev/DEBIAN/control
new file mode 100644
index 0000000000..64dc79af19
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc-dev/DEBIAN/control
@@ -0,0 +1,10 @@
+Package: libgrpc-dev
+Version: 0.8.0
+Architecture: amd64
+Maintainer: Jan Tattermusch <jtattermusch@google.com>
+Depends: libgrpc, libc6-dev | libc-dev
+Section: libdevel
+Priority: optional
+Homepage: https://github.com/grpc/grpc
+Description: gRPC C Core - header files
+ Core C libraries for gRPC - An RPC library and framework.
diff --git a/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/changelog.gz b/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/changelog.gz
new file mode 100644
index 0000000000..eabdf46e6e
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/changelog.gz
Binary files differ
diff --git a/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/copyright b/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/copyright
new file mode 100644
index 0000000000..83fb6f4577
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc-dev/usr/share/doc/libgrpc-dev/copyright
@@ -0,0 +1,34 @@
+Copyright:
+
+ Copyright (C) 2015 Google Inc.
+
+License (new style BSD, with Google Inc. as copyright holder):
+
+ Copyright 2015, Google Inc.
+ All rights reserved.
+
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are
+ met:
+
+ * Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ * Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following disclaimer
+ in the documentation and/or other materials provided with the
+ distribution.
+ * Neither the name of Google Inc. nor the names of its
+ contributors may be used to endorse or promote products derived from
+ this software without specific prior written permission.
+
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. \ No newline at end of file
diff --git a/tools/distpackages/templates/libgrpc/DEBIAN/control b/tools/distpackages/templates/libgrpc/DEBIAN/control
new file mode 100644
index 0000000000..75c224e9a4
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/DEBIAN/control
@@ -0,0 +1,10 @@
+Package: libgrpc
+Version: 0.8.0
+Architecture: amd64
+Maintainer: Jan Tattermusch <jtattermusch@google.com>
+Depends: libc6
+Section: libs
+Priority: optional
+Homepage: https://github.com/grpc/grpc
+Description: gRPC C Core
+ Core C libraries for gRPC - An RPC library and framework.
diff --git a/tools/distpackages/templates/libgrpc/DEBIAN/postinst b/tools/distpackages/templates/libgrpc/DEBIAN/postinst
new file mode 100644
index 0000000000..379f1fae0c
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/DEBIAN/postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+# Automatically added by dh_makeshlibs
+if [ "$1" = "configure" ]; then
+ ldconfig
+fi
+# End automatically added section
diff --git a/tools/distpackages/templates/libgrpc/DEBIAN/postrm b/tools/distpackages/templates/libgrpc/DEBIAN/postrm
new file mode 100644
index 0000000000..3e73d38a7e
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/DEBIAN/postrm
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+# Automatically added by dh_makeshlibs
+if [ "$1" = "remove" ]; then
+ ldconfig
+fi
+# End automatically added section
diff --git a/tools/distpackages/templates/libgrpc/DEBIAN/shlibs b/tools/distpackages/templates/libgrpc/DEBIAN/shlibs
new file mode 100644
index 0000000000..31d0e0a3b3
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/DEBIAN/shlibs
@@ -0,0 +1,3 @@
+libgpr 0
+libgrpc 0
+libgrpc_unsecure 0
diff --git a/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/changelog.gz b/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/changelog.gz
new file mode 100644
index 0000000000..c07b4d2637
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/changelog.gz
Binary files differ
diff --git a/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/copyright b/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/copyright
new file mode 100644
index 0000000000..83fb6f4577
--- /dev/null
+++ b/tools/distpackages/templates/libgrpc/usr/share/doc/libgrpc/copyright
@@ -0,0 +1,34 @@
+Copyright:
+
+ Copyright (C) 2015 Google Inc.
+
+License (new style BSD, with Google Inc. as copyright holder):
+
+ Copyright 2015, Google Inc.
+ All rights reserved.
+
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are
+ met:
+
+ * Redistributions of source code must retain the above copyright
+ notice, this list of conditions and the following disclaimer.
+ * Redistributions in binary form must reproduce the above
+ copyright notice, this list of conditions and the following disclaimer
+ in the documentation and/or other materials provided with the
+ distribution.
+ * Neither the name of Google Inc. nor the names of its
+ contributors may be used to endorse or promote products derived from
+ this software without specific prior written permission.
+
+ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. \ No newline at end of file
diff --git a/tools/distrib/check_copyright.py b/tools/distrib/check_copyright.py
index c81a1ea55b..ce66dcc22e 100755
--- a/tools/distrib/check_copyright.py
+++ b/tools/distrib/check_copyright.py
@@ -70,6 +70,7 @@ LICENSE_FMT = {
'.c': ' * %s',
'.cc': ' * %s',
'.h': ' * %s',
+ '.m': ' * %s',
'.php': ' * %s',
'.py': '# %s',
'.rb': '# %s',
diff --git a/tools/dockerfile/grpc_python/Dockerfile b/tools/dockerfile/grpc_python/Dockerfile
index d434b47351..362227bb65 100644
--- a/tools/dockerfile/grpc_python/Dockerfile
+++ b/tools/dockerfile/grpc_python/Dockerfile
@@ -24,12 +24,13 @@ RUN cd /var/local/git/grpc \
&& python2.7 -B -m grpc._adapter._links_test
&& python2.7 -B -m grpc._adapter._lonely_rear_link_test
&& python2.7 -B -m grpc._adapter._low_test
- && python2.7 -B -m grpc._framework.base.packets.implementations_test
- && python2.7 -B -m grpc._framework.face.blocking_invocation_inline_service_test
- && python2.7 -B -m grpc._framework.face.event_invocation_synchronous_event_service_test
- && python2.7 -B -m grpc._framework.face.future_invocation_asynchronous_event_service_test
- && python2.7 -B -m grpc._framework.foundation._later_test
- && python2.7 -B -m grpc._framework.foundation._logging_pool_test
+ && python2.7 -B -m grpc.framework.assembly.implementations_test
+ && python2.7 -B -m grpc.framework.base.packets.implementations_test
+ && python2.7 -B -m grpc.framework.face.blocking_invocation_inline_service_test
+ && python2.7 -B -m grpc.framework.face.event_invocation_synchronous_event_service_test
+ && python2.7 -B -m grpc.framework.face.future_invocation_asynchronous_event_service_test
+ && python2.7 -B -m grpc.framework.foundation._later_test
+ && python2.7 -B -m grpc.framework.foundation._logging_pool_test
# Add a cacerts directory containing the Google root pem file, allowing the interop client to access the production test instance
ADD cacerts cacerts
diff --git a/tools/run_tests/run_python.sh b/tools/run_tests/run_python.sh
index f21f854b09..1b8fe1982d 100755
--- a/tools/run_tests/run_python.sh
+++ b/tools/run_tests/run_python.sh
@@ -44,6 +44,7 @@ python2.7 -B -m grpc._adapter._future_invocation_asynchronous_event_service_test
python2.7 -B -m grpc._adapter._links_test
python2.7 -B -m grpc._adapter._lonely_rear_link_test
python2.7 -B -m grpc._adapter._low_test
+python2.7 -B -m grpc.framework.assembly.implementations_test
python2.7 -B -m grpc.framework.base.packets.implementations_test
python2.7 -B -m grpc.framework.face.blocking_invocation_inline_service_test
python2.7 -B -m grpc.framework.face.event_invocation_synchronous_event_service_test
diff --git a/tools/run_tests/tests.json b/tools/run_tests/tests.json
index b5d61595c2..ee4f6f896e 100644
--- a/tools/run_tests/tests.json
+++ b/tools/run_tests/tests.json
@@ -191,7 +191,7 @@
},
{
"language": "c",
- "name": "httpcli_test"
+ "name": "interop_test"
},
{
"language": "c",